Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5791 - pcnet_cs off-by-one buffers after link-down/link-up?
Summary: pcnet_cs off-by-one buffers after link-down/link-up?
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-09 21:54 UTC by paul
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-18 00:42:50 UTC


Attachments (Terms of Use)

Description paul 1999-10-09 21:54:29 UTC
RH 6.1
Dell Inspiron 3500
D-Link DMF-560TX combo ethernet/modem pcmcia card

Begin with system functioning normally. Ping a host on the
same ethernet segment, see normal ping times (less than
1ms).

Disconnect twisted pair ethernet cable for a few seconds,
then reconnect. Ping times are now 1000 msec + a fraction
of a msec, i.e., exactly 1 second late. Other network
performance (e.g., nfs, etc.) becomes terrible.

execute "ifconfig down up". Ping times return to normal
and other network performance returns to normal.

This behaves like an off-by-one buffer pointer problem
triggered by link-down/link-up. Maybe a packet doesn't
get transmitted until another packet gets queued behind it.

Comment 1 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 2 David Hinds 2000-02-18 00:42:59 UTC
I think this is fixed in the current PCMCIA driver package.  It was fixed in
3.1.4.


Note You need to log in before you can comment on or make changes to this bug.